---
title: "Get SSH Monitor Check History"
description: "Returns recent check results for an SSH monitor."
---

`GET /api/ssh-monitors/:sshMonitorPublicId/check-history`

## Authentication

Requires a valid session.

- Header: `Authorization: Bearer <token>`

## Parameters

- `sshMonitorPublicId` (Path, required): SSH monitor public UUID.

## Query Parameters

- `limit` (number, optional)
  - Default: `50`
  - Max: `200`

## cURL

```bash
curl "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444/check-history?limit=50" \
  -H "Authorization: Bearer $TOKEN"
```

## Response

```json
{
  "data": [
    {
      "id": 12345,
      "status": "success",
      "errorMessage": null,
      "warningMessage": null,
      "timingSsh": 123,
      "diagnostics": {
        "message": "SSH connection successful"
      },
      "checkedAt": "2026-02-26T12:00:00.000Z",
      "locationId": 7,
      "locationName": "Nuremberg (DE)",
      "locationCode": "de-nbg"
    }
  ]
}
```

## Errors

- `400` SSH monitor public ID (UUID) required
- `401` Unauthorized
- `403` Forbidden
- `404` Not found

